!\---------------------------------------------------------------------------

        future.g

        Game-specific grammar for Future Boy!
        by Kent Tessman (c) 2004

---------------------------------------------------------------------------\!

!----------------------------------------------------------------------------
! New xverbs:

xverb "a", "b", "c", "f", "h", "j", "k", "m", "p", "r", "v"
	*						DoLetter

xverb "about"
	*						DoHelp
	
xverb "bgvol", "voicevol"
	*						DoVolumeBalance
	* number					DoVolumeBalance
	
xverb "colors", "color"
	*						DoGameColors
	* "on"/"off"					DoGameColors
	
#ifset INCLUDE_COMMENTARY
xverb "commentary"
	*						DoCommentary
	* "on"/"off"					DoCommentary
#ifset DEBUG
	* number "~and" number				DebugCommentary
#endif
#endif
	
xverb "compass"
	*						DoCompass
	* "on"/"off"					DoCompass
	
xverb "conversations", "convo", "convos"
	*						DoConversations
	* "on"/"off"					DoConversations
	
xverb "cues"
	*						DoMusicCues
	* "on"/"off"					DoMusicCues
	
xverb "diagnose", "status"
	*						DoWhoAmI
	
xverb "find"
	* anything					DoWhereIs
	
#ifset INCLUDE_FOOTNOTES
xverb "footnote", "note"
	*                                               DoFootnote
	* number                                        DoFootnote
	
xverb "read"
	* "footnote"					DoFootnote
	* "note" number					DoFootnote
	* "footnote" number				DoFootnote

xverb "footnotes", "notes"
	*						DoFootnoteMode
	* "always"					DoFootnoteMode
	* "on"/"normal"					DoFootnoteMode
	* "off"/"never"					DoFootnoteMode
#endif

xverb "help"
	* "footnotes"					DoFootnoteMode

#ifset INCLUDE_HELP
xverb "hint", "hints"
	*						DoHint
#endif

xverb "info"
	*						DoHelp
	
xverb "license", "licence", "warranty", "guarantee"
	*						PrintLicense
	
xverb "load"
	* "game"					DoRestore

xverb "media"
	*						DoFixMedia
	
xverb "menus"
	*						DoMenus
	* "on"/"off"					DoMenus
	
xverb "movies"
	*						DoMovies
	* "on"/"off"					DoMovies
	
xverb "options", "settings"
	*						DoOptions
	
#ifset INCLUDE_OBJECTIVES
xverb "objectives", "goals", "objective", "goal"
	*						DoObjectives
#endif

#ifset DEBUG_PANELS
xverb "pan"
	*	FlipPanels
#endif

!\
xverb "pauses"
	*						DoPauses
	* "on"/"off"					DoPauses
\!
	
xverb "recap"
	*						DoRecap
	* "on"/"off"					DoRecap

xverb "reminder"
	*						DoSaveReminder
	* "on"/"off"					DoSaveReminder
	* number					DoSaveReminder
	
xverb "skip"
	*						DoVague
	* "intro"/"introduction"			DoSkipIntro
	
xverb "time"
	*						DoWhatTime
	
xverb "turns", "time"
	*						PrintTurnsAndTime
	
xverb "version", "ver"
	*						Version
	
xverb "voices"
	*						DoVoices
	* "on"/"off"					DoVoices

compound "is", "it"

xverb "what"
	* "time" "isit"					DoWhatTime
	* "is" "my" "name"				DoWhoAmI
	* "is" anything					DoWhatIs
	
xverb "when"
	* "isit"					DoWhatTime

xverb "where"
!	* "am" "i"					DoWhereAmI
	* "am" "i"					DoLookAround
	* "is"/"are" anything				DoWhereIs

xverb "who"
	* "am" "i"					DoWhoAmI
	* "is"/"are" anything				DoWhoIs
	
! Easter-egg-ish verbs:

xverb "dennis"
	*						DoDennis

#ifclear DEMO_VERSION
xverb "playallmovies"
	*						DoPlayAllMovies
#endif
	
#ifset DEBUG
xverb "checkld"
	*						DebugCheckLongDesc
	
xverb "scene", "scenes"
	*						DoSkiptoScene
	* number					DoSkiptoScene
	
xverb "testchat"
	*						RunChat
	
xverb "unwindow", "unwin"
	*						DebugUnWindow
	
xverb "pic"
	* string					DebugDrawPicture
	* word						DebugDrawPicture

xverb "sound"
	* string					DebugPlaySound
	* word						DebugPlaySound

xverb "cue"
	* string					DebugPlaySoundtrackCue
	* word						DebugPlaySoundtrackCue
	
xverb "vid"
	* string					DebugPlayVideo
	* word						DebugPlayVideo

xverb "winthegame"
	*						PlayScene_TheEnd
#endif

#ifset DEMO_VERSION
xverb "demobumper"
	*						DemoBumper
#endif
	
!----------------------------------------------------------------------------
! Menu and context-menu grammar:

xverb "menu"
	*						MainMenu
	
!----------------------------------------------------------------------------
! Some window dressing:

! Okay, so the swearing syntax is kinda flexible--hopefully people won't
! be checking too hard to make sure it's "grammatically correct"
xverb "fuck", "shit", "damn", "dammit", "damnit", "hell", "sod", "piss", \
	"goddamn", "goddammit", "goddamnit", "damned", "goddam", \
	"bugger", "screw"
	*						DoSwear
	* "me"/"you"/"it"/"off"/"this"			DoSwear
	* "in"/"on"/"off" object			DoSwear
	* object					DoSwear

! For screenplay-quote easter eggs:

xverb "xyzzy"
	*						DoXyzzy

xverb "say"
	* "xyzzy"					DoXyzzy
	

!----------------------------------------------------------------------------
! New verbs:

verb "answer"
	*						DoAnswer
	* object					DoAnswer

! Thank you, English language
compound "her", "name"

verb "ask"
	* object					DoAskObject
	* living "about" "her"/"his"/"their" "name"/"names"	DoAskName
	* living "about" "hername"			DoAskName
	* living "hername"				DoAskName
	* living "her"/"his"/"their" "name"/"names"	DoAskName
	* living "where" anything "is"/"are"		DoAskWhere
	* living "who" anything "is"/"are"		DoAsk
	
verb "ask"
	* "for" anything				DoOrderR
	* living "for" anything				DoOrderR
	
verb "back", "return"
	*						DoGoBack
	
verb "bang"
	*						DoVague
	* "on" object					DoHit
	* object					DoHit
	
verb "bend"
	*						DoVague
	* object					DoBend
	
verb "blow", "honk", "beep"
	*						DoVague
	* object					DoBlow

verb "breathe", "breath", "inhale", "exhale"
	*						DoBreathe
	* object					DoSmell
	
verb "buy"
	*						DoVague
	* object "drink"				DoBuyDrinkFor
	* object					DoBuy

verb "call", "hail", "hire"
	*						DoVague
	* (taxi) "to" "north"/"n"/"midtown"/"mid"/"south"/"s"/"bridge" DoCall
	* (taxi) "north"/"n"/"midtown"/"mid"/"south"/"s"/"bridge"      DoCall
	* anything					DoCall
	* object "names"/"name"				DoInsult
	* "for" "help"					DoYell

verb "change", "turn", "switch", "flip", "dial"
	*						DoVague
	* "on"/"off"					DoTurnVague
	! Need to include the next four because of disambiguation ordering:
	* "on" switchable				DoSwitchOn
	* "off" switchable				DoSwitchOff
	* "to" "channel" number				DoChangeTo
	* "to" number					DoChangeTo
	* "into" multi					DoWear
	* switchable "on"				DoSwitchOn
	* switchable "off"				DoSwitchOff
	* dialable "to" number				DoChange
	* dialable "to" "channel" number		DoChange
	* object					DoChange
	
verb "chomp", "nibble"
	*						DoVague
	* "on" object					DoEat
	* object					DoEat
	
verb "climb", "clamber"
	* "in"/"into"/"out" object			DoClimb
	* "over"/"through"/"to" object			DoClimb
	* "down"/"up" "in"/"into"/"out" object		DoClimb
	* "down"/"up" "over"/"through"/"to" object	DoClimb

verb "cold-cock", "coldcock"
	*						DoVague
	* object					DoHit	
	
verb "come"
	* "with" object					DoFollow
	
verb "confess"
	*						DoConfess
	
verb "connect"
	*						DoVague
	* object "to" xobject				DoConnect
	* object "with"/"using" xobject			DoConnect
	* object					DoConnect
	
verb "cook", "bake", "fry"
	*						DoVague
	* object "with"/"on"/"in"/"using" xobject	DoCook
	* object					DoCook
	
verb "crawl"
	*						DoCrawl
	* "in"/"into"/"to"/"through" object		DoCrawl
	* object					DoCrawl
	
verb "cross"
	*						DoVague
	* "over"					DoVague
	* "over" object					DoCross
	* object					DoCross
	
verb "cut", "chop"
	* "down" object					DoUproot
	* "rug"						DoDance
	
verb "dance", "disco", "boogie"
	*						DoDance
	
verb "defuse"
	*						DoVague
	* object					DoDefuse
	
verb "deny"
	*						DoDeny
	
verb "devour", "ingest"
	*						DoVague
	* object					DoEat

verb "dial", "call", "phone", "telephone", "ring"
	*						DoVague
	* "on"/"with"/"using" object			DoPhoneWith
	* anything "on"/"with"/"using" xobject		DoPhone
	* anything					DoPhone
	
verb "die"
	*						DoDie
	
verb "do"
	*						DoVague
	* "something"					DoVague
	* "nothing"					DoWait
	* "not" "breath"/"breathe"/"inhale"		DoHoldBreath
	
verb "don't"
	* "breath"/"breathe"/"inhale"			DoHoldBreath
	* "my" "breath"/"breathe"/"inhale"		DoHoldBreath
	
verb "draw", "doodle", "sketch"
	*						DoDraw
	* "on" object					DoDrawOn
	* "on" object "with" xobject			DoDrawOn
	* anything "with" xobject			DoDraw
	* anything					DoDraw
	
verb "drink"
	*						DoDrinkNoObject
	* "from"/"outof" object				DoDrink
	
verb "drive"
	*						DoVague
	* "to" object					DoDrive
	* object					DoDrive

! Need this to override "drop x on ground" in verblib.g, since we're
! implementing a general ground/floor object:
verb "drop", "leave", "put"
#ifset USE_CHECKHELD
	* "down" multi					DoDrop_CheckHeld
	* multi "down"					DoDrop_CheckHeld
	* multi "down" xobject				DoPutIn_CheckHeld
	* multiheld "on"/"onto" "ground"/"floor"	DoPutonGround_CheckHeld
	* multi "on" xobject				DoPutIn_CheckHeld
#else
	* "down" multiheld				DoDrop
	* multiheld "down"				DoDrop
	* multiheld "down" xobject			DoPutIn
	* multiheld "on"/"onto" "ground"/"floor"	DoPutonGround
	* multiheld "on" xobject			DoPutIn
#endif

verb "fall", "plunge", "plummet"
	*						DoFall

verb "fall", "plummet"
	* (d_obj)					DoFall
	
verb "fart"
	*						DoFart
	
verb "feed"
	*						DoVague
	* "on" object					DoEat
	* object "to" xobject				DoFeedTo
	* object "with"/"using" xobject			DoFeed
	* object "some" xobject				DoFeed
	* object					DoFeed
	
verb "fill"
	*						DoVague
	* object					DoFill
	* object "with"/"from" xobject			DoFill
	
verb "fly", "soar"
	*						DoFly
	* "in"/"into"/"out"/"outof" object		DoFly
	* "through" object				DoFly
	* "to" object					DoFly
	* object					DoFly
	
verb "flush"
	*						DoVague
	* object					DoFlush
	
verb "fold"
	*						DoVague
	* object					DoFold
	
verb "focus", "aim"
	*						DoVague
	* "on" object					DoFocus
	* object "at"/"on"/"onto" xobject		DoFocus
	* object "through"/"with" xobject		DoShineThrough
	* object					DoFocus
	
verb "follow", "tail"
	*						DoFollow
	
!verb "get"
!	* "down"					DoDance
	
verb "give"
	* "me" anything					DoOrder

verb "go"
	* "back"					DoGoBack
	* "get"/"fetch"/"retrieve" multinotheld		DoGet
	* "pick" "up" multinotheld			DoGet
	
verb "handcuff", "cuff"
	* living					DoHandcuff
	
verb "hide"
	*						DoHide
	* "under"/"beneath"/"behind" object		DoHide
	* multi "in"/"inside"/"on" xobject		DoPutIn
	* multi "under"/"beneath"/"behind" xobject	DoPutUnder
	* multi						DoHideObject

verb "hold"
	*						DoVague
	* "breath"					DoHoldBreath
	* "my" "breath"					DoHoldBreath
	
	! All sorts of >HOLD OBJECT UP TO XOBJECT phrasings:
	* "up" object "in" "front" xobject		DoHoldUp
	* "up" object "to" xobject			DoHoldUp
	* "up" object					DoHoldUp
	* object "up"					DoHoldUp
	* object "to" xobject				DoHoldUp
	* object "up" "to" xobject			DoHoldUp
	* object "in" "front" xobject			DoHoldUp
	* object "up" "in" "front" xobject		DoHoldUp
	* object					DoHoldUp
	
verb "in"
	* object					DoEnter

verb "inject", "stick", "jab"
	*						DoVague
#ifset USE_CHECKHELD
	* multi "in"/"into" xobject			DoPutIn_CheckHeld
#else
	* multiheld "in"/"into" xobject			DoPutIn
#endif
	* object "with" held				DoInject
	* object 
	* object					DoInject
	
verb "insult"
	*						DoVague
	* object					DoInsult
	
verb "jump", "hop", "leap"
	* "up"/"down"/"on"/"off"/"out"			DoJump
	* "in"/"into"/"on"/"onto" object		DoEnter
	* "off"/"offof"/"out"/"outof" object		DoJumpOff
	* "over" object					DoJumpOver
	* "to"/"on"/"onto" object			DoJumpTo
	* "on" "to"/"top" object			DoJumpTo
	* object					DoJumpOver

verb "kill"
	* "me"						DoDie
	
verb "knock", "rap", "tap"
	*						DoVague
	* "on"/"against" object "with" xobject		DoKnock
	* "on"/"against" object				DoKnock
	* object "with" xobject				DoKnock
	* object "on"/"against" xobject			DoKnockR
	* object					DoKnock
	
verb "land"
	*						DoLand
	
verb "lasso"
	*						DoVague
	* "lasso"					DoLasso
	
verb "leave", "exit"
	* "room"/"area"/"surroundings"			DoExit

verb "lie"
	* "down"					DoLieDown
	* "down" "on" "floor"/"ground"			DoLieDown
	
verb "light"
	* "up" object					DoBurn
	
verb "load"
	*						DoVague
	* object					DoLoad
#ifset USE_CHECKHELD
	* multi "in"/"into"/"on"/"onto" xobject		DoPutIn_CheckHeld
#else
	* multiheld "in"/"into"/"on"/"onto" xobject	DoPutIn
#endif

verb "login", "logon", "log"
	*						DoLogin
	* "in"/"on"					DoLogin
	
verb "look"
	* "through"/"with"/"using" object "at" xobject	DoLookThrough
	* "at" object "through"/"with"/"using" xobject	DoLookThroughR
	* "for" object					DoLookFor
	
verb "look", "l", "examine", "x"
	* "around" "room"/"area"/"surroundings"		DoLookAround
	* "room"/"area"/"surroundings"			DoLookAround
	
verb "loop", "wrap", "put", "place"
	* multi "around" xobject			DoLoop
	* multi "through" xobject			DoLoopR

verb "loop", "wrap"
	*						DoVague
	* object "in"/"with" xobject			DoLoopR
	* object					DoLoop
	
verb "measure"
	*						DoVague
	* object					DoMeasure
	* object "with"/"using"				DoMeasure
	
verb "mix"
	*						DoVague
	* object "with"/"in"/"into" xobject		DoMix
	* object					DoMix
	
verb "open"
	* object "with" xobject				DoOpenWith

verb "order", "buy"	! "buy" is also covered for DoBuy, above
	*						DoVague
	* anything "from" xobject			DoOrder
	* anything					DoOrder
	
verb "out"
	* object					DoExit

verb "pee", "urinate"
	*						DoPee
	* "on"/"onto"/"in"/"into"/"inside" object	DoPee

verb "peel", "tear", "rip"
	*						DoVague
	* "off" object					DoPull
	* object "off"					DoPull
	* object					DoPull
	
verb "photograph"
	*						DoVague
	* object					DoPhotograph
	* object "with"/"using" held			DoPhotograph
	
verb "pilot"
	*						DoVague
	* object					DoFly
	
verb "pinch", "goose"
	*						DoVague
	* object					DoPinch
	
verb "play"
	*						DoVague
	* object "in"/"with" xobject			DoPlay
	* object					DoPlay
	
verb "plug"
	*						DoVague
	* "in" object					DoPlugIn
	* object "in"					DoPlugIn
	* object "into"/"in" xobject			DoPlugIn
	* object					DoPlugIn
	
verb "pop"
	* object "in" container				DoPutIn

verb "pour", "spill", "splash"
	*						DoVague
	* held "over" xobject				DoPour
	* held "on"/"onto"/"in"/"into"/"over" xobject	DoPour
	* held						DoPour

verb "pull", "yank", "tug"
	* object "off"					DoPull
	
verb "push", "roll", "move", "wheel", "slide"
	* 						DoVague
	* object "north"/"n"/"northeast"/"ne"/"east"/"e"/"southeast"/"se"/ \
		"south"/"s"/"southwest"/"sw"/"west"/"w"/"northwest"/"nw"/ \
		"up"/"u"/"down"/"d"/"in"/"out"		DoPushDirection
	* object "to" "north"/"n"/"northeast"/"ne"/"east"/"e"/"southeast"/"se"/ \
		"south"/"s"/"southwest"/"sw"/"west"/"w"/"northwest"/"nw"/ \
		"up"/"u"/"down"/"d"/"in"/"out"		DoPushDirection
	* object "into" xobject				DoPushInto

verb "roll", "wheel"
	* "in"/"into" object				DoEnter
	* "outof" object				DoExit
	* "over"/"onto"/"on" object			DoPush
	* object					DoPush
	
verb "put", "hang", "drape"
#ifset USE_CHECKHELD
	* multi "on"/"over" xobject			DoPutIn_CheckHeld
#else
	* multiheld "on"/"over" xobject			DoPutIn
#endif
	
verb "put", "insert", "place", "stick", "jam", "wedge"
	*						DoVague
	* multiheld "under"/"beneath" xobject		DoPutUnder
#ifset USE_CHECKHELD
	* multi "in"/"into"/"on" xobject		DoPutIn_CheckHeld
#else
	* multiheld "in"/"into"/"on" xobject		DoPutIn
#endif
	* multiheld "in" "between" xobject		DoPutBetween
	! Specifically for putting the costume back on Frank:
#ifset USE_CHECKHELD
	* multi "back" "on" xobject			DoPutIn_CheckHeld
#else
	* multiheld "back" "on" xobject			DoPutIn
#endif
	* multiheld "between" xobject			DoPutBetween
	* multiheld "against" xobject			DoPutBetween
	* multi "through" xobject			DoLoopR
#ifset USE_CHECKHELD
	* object					DoPutIn_CheckHeld
#else
	* held						DoPutIn
#endif
	
verb "pry", "jimmy", "wedge"
	*						DoVague
	* "open" object					DoOpen
	* "open" object "with"/"using" xobject		DoOpenWith
	* object "open"					DoOpen
	* object "open" "with"/"using" xobject		DoOpenWith
	* object "with" xobject				DoOpenWith
	* object					DoOpen
	
verb "reach"
	*						DoVague
	* "for" multi					DoGet
	* multi						DoGet
	
verb "report"
	*						DoReport
	* object "missing"/"stolen"			DoReport
	* object "to" xobject				DoReport
	* object					DoReport
	
verb "rotate", "spin", "twist", "torque"
	*						DoVague
	* object "with"/"using" xobject			DoChangeWith
	* object					DoChange
	
verb "rub", "shade"	! "shade" for >SHADE PAD WITH PENCIL
	*						DoVague
	* "against" object				DoRub
	* object "all" "over" xobject			DoRubOn
	* object "on"/"over"/"against" xobject		DoRubOn
	* object "with"/"using" xobject			DoRub
	* object					DoRub
	
verb "run", "race", "sprint", "jog", "stroll", "wander"
	*						DoGo
	* "north"/"n"/"northeast"/"ne"/"east"/"e"/"southeast"/"se"/ \
		"south"/"s"/"southwest"/"sw"/"west"/"w"/"northwest"/"nw"/ \
		"up"/"u"/"down"/"d"/"in"/"out"		DoGo
		
verb "say"
	* "yes"						DoYes
	* "no"						DoNo
	* "yes" "to" living				DoSayYesTo
	* "no" "to" living				DoSayNoTo
	* string "to" living				DoSaySomethingTo
	
verb "scrape"
	*						DoVague
	* object					DoScrape
	* object "with"/"using" xobject			DoScrape
	* object "against" xobject			DoScrapeR
	
verb "scribble", "draw", "doodle"
	*						DoVague
	* "all" "over" object				DoScribble
	* "on"/"over"					DoScribble

verb "search"
	* "room"/"area"/"surroundings"			DoSearch
	
verb "seduce"
	*						DoVague
	* object					DoKiss
	
verb "set"
	*						DoVague
	* object "on" "fire"				DoBurn
	* object "to" number				DoSet
	* object					DoSet
	
verb "sell"
	*						DoVague
	* object "to" xobject				DoSell
	* object					DoSell
	
verb "shake"
	*						DoVague
	* object					DoShake
	
verb "sharpen"
	*						DoVague
	* (pencil)					DoSwitchOn
	
verb "shine"
	*						DoVague
	* object "through" xobject			DoShineThrough
	* object "on" xobject				DoFocus
	* object					DoShineThrough
	
verb "shut", "clam"
	* "up"						DoShutUp
	
verb "sing"
	*						DoSing
	* "song"/"songs"				DoSing

verb "sit"
	* "at" object					DoEnter

verb "slide"
	* object					DoMove
	
verb "smoke", "puff"
	*						DoVague
	* object					DoSmoke
	
verb "snack", "feast"
	* "on" object					DoEat

verb "spit"
	*						DoSpit
	* "out" object "into"/"in"/"at" xobject		DoSpit
	* "out" object					DoSpit
	* object "out" "into"/"in"/"at" xobject		DoSpit
	* object "into"/"in"/"at" xobject		DoSpit
	* object "out"					DoSpit
	* object					DoSpit
	
! >SPRAY and >SQUEEZE are confusing; think of >SPRAY as being
! >SPRAY TARGET and >SQUEEZE as being >SQUEEZE SOMETHING [AT TARGET]

verb "spray", "spritz"
	*						DoSpray
	* object "with"/"using" held			DoSpray
	* object					DoSpray
	
verb "sprinkle"
	* (celldirt) "on" xobject			DoPutIn
	
verb "squeeze", "sqish", "squirt", "spread", "spray", "spritz"
	*						DoVague
	* object "on"/"onto"/"in"/"into" xobject	DoSqueeze
	* object "at" xobject				DoSqueeze
	* object "with"/"using" held			DoSpray
	* object					DoSqueeze
	
verb "stand", "step"
	* "on"/"onto" object				DoStandOn
	
verb "stomp"
	*						DoVague
	* object					DoStandOn
	
verb "steal", "yoink", "pilfer", "purloin"
	*						DoVague
	* object					DoSteal
	* object "from" "offof"/"outof"/"on"/"in" xobject	DoSteal
	* object "from"/"offof"/"outof"/"on"/"in" xobject	DoSteal
	
verb "stick", "attach"
	*						DoVague
	* (tapeball) "to"/"on"/"onto" xobject		DoAttachObject
	* (tapeball)					DoAttachObject
	
verb "stop", "halt", "cease", "desist", "stay"
	*						DoStop
	* "it"						DoStop
	* "here"/"behind"				DoStop
! Some specific uses:
	* "following" object				DoStop
	* "following"					DoStop
	* "falling"/"flying"				DoStop
	
verb "swallow", "gulp", "lick"
	*						DoSwallow
	* object					DoEat
	
verb "swipe", "slap", "smash", "swat"
	*						DoVague
	* "at" object "with"/"using" held		DoHit
	* "at" object					DoHit
	* object "with"/"using" held			DoHit
	* object					DoHit
	
verb "talk", "chat", "converse", "t"
	*						DoConverse
	* "to"/"with" object				DoConverse
	* "about" anything				DoConverseAbout
	* "to"/"with" object "about"/"regarding" anything	DoConverseAbout
	* object					DoConverse

verb "take"
	* "breath"					DoBreathe

verb "take"
	* "sip"/"drink"/"swallow" object		DoDrink
	
verb "take", "get"
	* multi "in"/"with"/"using" "my" "mouth"	DoEat
	* multi "in"/"with"/"using" "mouth"		DoEat

verb "take", "snap"
	* "picture"/"photo"/"photograph"/"snapshot"	DoPhotograph
	* "picture"/"photo"/"photograph"/"snapshot" object	\
							DoPhotograph
	* "picture"/"photo"/"photograph"/"snapshot" object "with"/"using" held	\
							DoPhotograph
verb "tape"
	*						DoVague
	* object "with"/"using" held			DoTape
	* object "to" xobject				DoTapeTo
	* object					DoTape
							
verb "tell"
	* living "yes"					DoSayYesTo
	* living "no"					DoSayNoTo
	* "about" anything				DoConverseAbout

! Keep the special phrasings for DoThink in sync with these verbs:
verb "think", "remember", "recall", "recollect", "ponder", "reflect", \
	"concentrate", "contemplate"
	*						DoThink
	* "hard"/"harder"/"deep"/"deeply"		DoThink
	* "about"/"on" anything				DoThink
	* "about"/"on" word				DoThink
	* anything					DoThink
	* word						DoThink
	
verb "throw", "hurl", "toss", "pitch"
	* held "to" "north"/"n"/"northeast"/"ne"/"east"/"e"/"southeast"/"se"/ \
		"south"/"s"/"southwest"/"sw"/"west"/"w"/"northwest"/"nw"/ \
		"up"/"u"/"down"/"d"/"in"/"out"		DoThrowThrough
	* held "north"/"n"/"northeast"/"ne"/"east"/"e"/"southeast"/"se"/ \
		"south"/"s"/"southwest"/"sw"/"west"/"w"/"northwest"/"nw"/ \
		"up"/"u"/"down"/"d"/"in"/"out"		DoThrowThrough
	* held "in"/"out"/"through" xobject		DoThrowThrough
	* held "into"/"outof" xobject			DoThrowThrough
	* held "over" xobject				DoThrowAt
	* held "around" xobject				DoLoop
	
verb "tie"
	* "up" object					DoAttachObject
	* object "around" xobject			DoLoop
	* object "between" xobject			DoAttachObject
	
verb "tilt", "tip", "lean", "slant", "shake"
	*						DoVague
	* object					DoPush

verb "touch", "tap"
	* object "to" xobject				DoTouchR
	* object "with"/"using" xobject			DoTouch
	* object "against" xobject			DoTouchR
	
verb "trip"
	* 						DoVague
	* "up"/"over" object				DoTrip
	* object "with"/"using" xobject			DoTrip
	* object					DoTrip
	
verb "turn"
	* "on"/"off" "water"				DoTurnWaterOnOff
	* "water" "on"/"off"				DoTurnWaterOnOff

verb "turn", "switch"
	* "on"/"off"					DoTurnVague
	
verb "type"
	* "login"					DoLogin
	
verb "type"
	*						DoType
	* word						DoType
	* string					DoType
	* "on"/"with" object				DoType
	* word "on"/"with" object			DoType
	* string "on"/"with" object			DoType
	
verb "undress", "strip"
	*						DoUndress
	* object					DoUndress

verb "unfold"
	*						DoVague
	* object					DoUnfold
	
verb "unroll"
	*						DoVague
	* openable					DoOpen
	
verb "unstick", "detach"
	*						DoVague
	* (tapeball) "from"/"off"/"offof" xobject	DoDetachObject
	* (tapeball)					DoDetachObject
	
verb "uproot", "fell"
	*						DoVague
	* object					DoUproot
	
verb "wash", "clean", "scrub", "rinse", "brush", "dust"
	*						DoClean
	* "up" object "with"/"using" xobject		DoClean
	* "up" object					DoClean
	* object "with"/"using" xobject			DoClean
	* object					DoClean
	
verb "write", "scribble", "scrawl", "print"
	*                                               DoVague
	* "on" object                                   DoWriteOn
	* "on" object "with"/"using" held               DoWriteOn
	* "with" held "on" xobject			DoWriteOnR
	* "with" held					DoWriteWord
	* string                                        DoWrite
	* string "on" object                            DoWrite
	* string "on" object "with"/"using" held        DoWrite
	* string "with"/"using" held                    DoWrite
	* word						DoWriteWord
	
verb "yawn"
	*						DoYawn

verb "yell", "holler", "bellow", "cry", "scream", "roar", "growl"
	*						DoYell
	* "at" object					DoYell
	* "for" "help"					DoYell


!----------------------------------------------------------------------------
! DoReadAbout grammar from ob_book.hug:
!
! (Change ob_book.hug first, then copy to here)
!----------------------------------------------------------------------------

	verb "consult"
		*					DoVague
		* object "about"/"for"/"on" anything	DoConsult
		* object				DoConsult

	verb "read"
		* "about" anything			DoReadAbout
		* "about" anything "in" xobject		DoReadAbout
		* "up" "on" anything "in" xobject	DoReadAbout
		* object "about"/"for" anything		DoConsult
		
	verb "look"
		* "up" anything "in" xobject		DoReadAbout
		* "up" anything				DoReadAbout
		* anything "up" "in" xobject		DoReadAbout
		* "in" object "about"/"for" anything	DoConsult
	
	verb "turn"
		* object "to" anything			DoConsult
		
	verb "search", "scour"
		*					DoVague
		* object "about"/"for" anything		DoConsult
		
	verb "research"
		*					DoVague
		* anything				DoReadAbout
		* anything "in" xobject			DoReadAbout
